Package org.bukkit

# Class Particle.DustOptions

java.lang.Object
org.bukkit.Particle.DustOptions

Direct Known Subclasses:
  `Particle.DustTransition`

Enclosing class:
  Particle

public static class Particle.DustOptions extends Object
Options which can be applied to redstone dust particles - a particle color and size.

## Constructor Summary

Constructors
Constructor
Description
`DustOptions(@NotNull Color color, float size)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Color`
`getColor()`
The color of the particles to be displayed.
`float`
`getSize()`
Relative size of the particle.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DustOptions

public DustOptions(@NotNull @NotNull Color color, float size)

## Method Details

### getColor

@NotNull public @NotNull Color getColor()
The color of the particles to be displayed.

Returns:
  particle color

### getSize

public float getSize()
Relative size of the particle.

Returns:
  relative particle size